#391 Support Visual Studio 2010 in the build script

Feature_Request
closed
nobody
5
2012-09-14
2010-11-29
Robert Pollak
No

Currently the build script only offers to use the Visual Studio versions 7.1, 8.0 and 9.0, see
http://poco.svn.sourceforge.net/viewvc/poco/poco/branches/poco-1.3.7/buildwin.cmd?revision=1316&view=markup .

The main developer, Günter Obiltschnig, suggests to directly use the (msvc 9.0) project files instead,
see http://pocoproject.org/forum/viewtopic.php?f=12&t=4662&sid=8bc378a25e368cf89441dc523a50bb3c#p7134 ,
http://pocoproject.org/forum/viewtopic.php?f=12&t=4660&sid=8bc378a25e368cf89441dc523a50bb3c#p7135
or http://pocoproject.org/forum/viewtopic.php?f=12&t=4654&sid=8bc378a25e368cf89441dc523a50bb3c#p7108 .
(But the first two of these threads also show that this does not work for everyone.)

He also said on 2010-09-26 (at http://pocoproject.org/forum/viewtopic.php?f=12&t=4583&sid=8bc378a25e368cf89441dc523a50bb3c#p6923):

what's currently blocking the [1.3.7] release is some necessary work on the build system to support Visual Studio 2010,
as well as 64-bit builds on Windows. I am currently occupied with other projects, but I plan to do the remaining work in the coming days.

Discussion

  • Currently working on it. Will be part of the upcoming 1.4 release. Microsoft should pay me something for all the work their damn VS2010 release with that stupid new project file format and all has caused me so far...